## stateless-openpgp-docs 13.0

=== manpages/Makefile ===
#!/usr/bin/make -f

cmds = sopv sopv-version sopv-verify sopv-inline-verify

output = $(addsuffix .1, $(cmds))

all: $(output)

%.1: %.1.ronn index.txt
	ronn --roff \
	--manual='Stateless OpenPGP Signature Verification' \
	--organization='sopv 1.1' \
	$<

clean:
	rm -f $(output)

check:
	codespell --ignore-words .ignore-words $(addsuffix .1.ronn, $(cmds))

.PHONY: all clean check

=== debian/changelog ===
stateless-openpgp-docs (13.0-1) unstable; urgency=medium

  * Package for debian. (Closes: #1095926)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 13 Feb 2025 15:03:38 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	cd manpages && $(MAKE)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd manpages && $(MAKE) check
endif

# the version of the sopv-doc package should align with the
# highest-known major and minor version numbers of the sopv spec:
override_dh_gencontrol:
	dh_gencontrol -psopv-doc -- -v1.1.0-$(DEB_VERSION_REVISION)

=== debian/watch ===
version=4
opts="mode=git,gitmode=full,pgpmode=none" \
https://gitlab.com/dkg/openpgp-stateless-cli.git \
refs/tags/stateless-openpgp-docs/@ANY_VERSION@

## stateless-openpgp-docs 13.1

=== Makefile ===
#!/usr/bin/make -f

# dependencies:

# apt install weasyprint xml2rfc ruby-kramdown-rfc2629

draft = sop
OUTPUT = $(draft).txt $(draft).html $(draft).xml $(draft).pdf
INCLUSIONS = sop.h test/simple-sop-test test/setup-sopv-test test/sopv-test

all: $(OUTPUT)

%.xml: $(draft).md $(INCLUSIONS)
	kramdown-rfc --v3 < $< > $@.tmp
	mv $@.tmp $@

%.html: %.xml
	xml2rfc $< --html -o $@

%.txt: %.xml
	xml2rfc $< --text -o $@

%.pdf: %.xml
	xml2rfc $< --pdf -o $@

clean:
	-rm -rf $(OUTPUT) manpages/*.1 .refcache metadata.min.js

check:
	codespell --ignore-words .ignore-words $(draft).md
.PHONY: clean all check

=== ietf-112/Makefile ===
#!/usr/bin/make -f

BASIS = openpgp-sop-ietf-112
$(BASIS).pdf: $(BASIS).html
	weasyprint $< $@

$(BASIS).html: $(BASIS).md theme/css/theme.css
	darkslide --theme ./theme --embed --destination=$@ $^

# alternate conversion strategy:
# open sop.html in chromium, hit 'x' to expose all slides, then print to pdf

clean:
	rm -f $(BASIS).html $(BASIS).pdf

=== debian/changelog ===
stateless-openpgp-docs (13.1-1) unstable; urgency=medium

  * new upstream release, with improved sopv-test
  * move sopv-doc from version 1.1.0 to 1.1.1
    (the sopv spec is still at 1.1, but the sopv-test is improved)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Mar 2025 13:34:01 -0400

=== debian/control ===
Source: stateless-openpgp-docs
Section: doc
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 codespell <!nocheck>,
 ronn,
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/stateless-openpgp-docs.git
Vcs-Browser: https://salsa.debian.org/debian/stateless-openpgp-docs
Homepage: https://datatracker.ietf.org/doc/draft-dkg-openpgp-stateless-cli/
Rules-Requires-Root: no

Package: sopv-doc
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 sopv (>= 1.0),
Enhances:
 sopv (>= 1.0),
Suggests:
 sqop | gosop | pgpainless-cli | rsop
Description: OpenPGP verification manuals and examples
 sopv is the verification-only subset of the Stateless OpenPGP Command
 Line Interface.
 .
 It is used to verify OpenPGP signatures.  Several different
 implementations of this interface are present in Debian, and it is
 possible to use the alternatives system to choose between them.
 .
 This package provides generic documentation for users of sopv in the
 form of manpages, and example test scripts that can be used to
 confirm the conformance of a sopv implementation to the
 specification.
 .
 See https://datatracker.ietf.org/doc/draft-dkg-openpgp-stateless-cli/
 for more information.

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
 # the version of the sopv-doc package should align with the
 # highest-known major and minor version numbers of the sopv spec:
 override_dh_gencontrol:
-	dh_gencontrol -psopv-doc -- -v1.1.0-$(DEB_VERSION_REVISION)
+	dh_gencontrol -psopv-doc -- -v1.1.1-$(DEB_VERSION_REVISION)
